:: (c) 2018 Kofax Image Products, Inc. All rights reserved. Use is subject to license terms.
:: Unauthorized use, duplication, or distribution is strictly prohibited.
@echo off
setlocal enableextensions

:: Installation location relative to the KC bin folder
set installsubpath=.

set batchpath=%~dp0

::reg command
set reg_cmd=reg
if not '%PROCESSOR_ARCHITECTURE%' == 'x86' set reg_cmd=%WinDir%\SysWOW64\reg

:: Read the Capture ExePath value from the registry
set qryexepath=%reg_cmd% query "hklm\software\kofax image products\ascent capture\3.0" /v ExePath
set findexpr=find /i "ExePath"
for /f "tokens=2*" %%i in ('%qryexepath%^|%findexpr%') do set exepath=%%j

:: Check the first argument
if "%1%" == "/u" goto UninstallFix
if "%1%" == "-u" goto UninstallFix

:: Install or uninstall the fix
:InstallFix

:: Copy files in batch file folder
for %%f in ("%batchpath%\*.dll") do (
	::install patch file
	copy "%%~ff" "%exepath%\%installsubpath%\%%~nxf" && (call ) || (echo Patch not installed && goto eof)
)
echo Patch successfully applied.

goto EOF

:UninstallFix
for %%f in ("%batchpath%\*.dll") do (
	::install patch file
	del /F "%exepath%\%installsubpath%\%%~nxf" && (call ) || (echo Patch not reverted && goto eof)
)
echo Patch successfully reverted.

:EOF
